//+------------------------------------------------------------------+
//|                                                falcon strike.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern int setdayofweek = 0;
extern int sethour = 12;
extern int lookback_hour = 1;
extern double buy_points_buffer = 7.0;
extern double sell_points_buffer = 10.0;
extern double lots = .25; 
extern double take_profit_points = 20.0;
 
 


 
int ticket = 0;
int buy_enable_trade = 1;
int sell_enable_trade = 1;
int set_buy_modify = 0;
int set_sell_modify = 0;
int order_type = 3;
int timedayofweek = 0;
int timehour = 0;
int enable_stops = 1;
int activate_sound = 0;
int adjust_time = 1;
int adjusted_hour = 0;
 
 
double order_profit = 0.0;
double sell_stop_loss_points = 0.0;
double sell_stop_price = 0.0;
double buy_stop_price = 0.0;
double high = 0.0;
double low = 0.0;
double range = 0.0;

bool res_buy = 0;
bool res_sell = 0;

 

int init()
  {
 
   return(0);
  }
 
int deinit()
  {
 
   return(0);
  }
 
int start()
  {
 
  timedayofweek = DayOfWeek();
  timehour = Hour();
 
  
  if(adjust_time == 1)
   {
   
   
    adjusted_hour = sethour;
    adjust_time = 0;
   
   
   }
    
  
  
  
   
  if((timedayofweek == setdayofweek) && (timehour == adjusted_hour) && (enable_stops == 1))
  {
  
  PlaySound("eagle");  
    
  high = iHigh(Symbol(),PERIOD_H1,lookback_hour);
  low = iLow(Symbol(),PERIOD_H1,lookback_hour);  
  
  range = high - low;
  
    
   
 buy_stop_price = high + (buy_points_buffer * Point * 10); 
 sell_stop_price = low - (sell_points_buffer * Point * 10);
     
  if(buy_enable_trade == 1)
   {
    buy_enable_trade = 0;
    ticket = OrderSend(Symbol(),OP_BUYSTOP,lots,buy_stop_price,3,low,buy_stop_price + take_profit_points * Point * 10,0,0,0);
    if(ticket<0)
     {
      Print("OrderSend failed with error #",GetLastError());
     }
   else
      Print("OrderSend placed successfully"); 
      set_buy_modify = 1;
    }
   
  if(set_buy_modify == 1)
   {
    if(OrderSelect(ticket,SELECT_BY_TICKET))
     {
       res_buy = OrderModify(OrderTicket(),OrderOpenPrice(),low,OrderOpenPrice() + (take_profit_points * Point * 10),0,0); 
       
            if(!res_buy)
               Print("Error in OrderModify. Error code=",GetLastError());
            else
               Print("Order modified successfully.");
        
      set_buy_modify = 0;
     
     } 
   }
 
 
 if(sell_enable_trade == 1)
   {
    sell_enable_trade = 0;
     ticket = OrderSend(Symbol(),OP_SELLSTOP,lots,sell_stop_price,3,high,sell_stop_price - take_profit_points * Point * 10,0,0,0);
     if(ticket<0)
     {
      Print("OrderSend failed with error #",GetLastError());
     }
   else
      Print("OrderSend placed successfully");
      set_sell_modify = 1;
    }
   
  if(set_sell_modify == 1)
   {
    if(OrderSelect(ticket,SELECT_BY_TICKET))
     {
      res_sell = OrderModify(OrderTicket(),OrderOpenPrice(),high,OrderOpenPrice() - (take_profit_points * Point * 10),0,0);  
      
     if(!res_sell)
               Print("Error in OrderModify. Error code=",GetLastError());
            else
               Print("Order modified successfully."); 
       
      set_sell_modify = 0;
       enable_stops = 0;
       
     } 
   }

   
 }
 
  
  
 
 
 
 
   return(0);
  }
 